diff --git a/configure b/configure
index 7c662c3..6269cb9 100755
--- a/configure
+++ b/configure
@@ -2879,7 +2879,7 @@ $as_echo "$as_me: error: Invalid block size. Allowed values are 1,2,4,8,16,32."
 esac
 { $as_echo "$as_me:$LINENO: result: ${blocksize}kB" >&5
 $as_echo "${blocksize}kB" >&6; }
-
+echo ${blocksize}
 
 cat >>confdefs.h <<_ACEOF
 #define BLCKSZ ${BLCKSZ}
@@ -2917,14 +2917,15 @@ else
   segsize=1
 fi
 
-
 # this expression is set up to avoid unnecessary integer overflow
 # blocksize is already guaranteed to be a factor of 1024
-RELSEG_SIZE=`expr '(' 1024 / ${blocksize} ')' '*' ${segsize} '*' 1024`
-test $? -eq 0 || exit 1
+#RELSEG_SIZE=`expr '(' 1024 / ${blocksize} ')' '*' ${segsize} '*' 1024`
+RELSEG_SIZE=`echo 1024/$blocksize*$segsize*1024 | bc`
+#test $? -eq} 0 || exit 1
 { $as_echo "$as_me:$LINENO: result: ${segsize}GB" >&5
 $as_echo "${segsize}GB" >&6; }
-
+echo ${segsize}
+echo ${RELSEG_SIZE}
 
 cat >>confdefs.h <<_ACEOF
 #define RELSEG_SIZE ${RELSEG_SIZE}
